﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;

namespace P23_1
{
    public partial class SimpleAnimation : PhoneApplicationPage
    {
        double speedAndDirX = 0;
        double speedAndDirY = 0;
        bool isAnimated = false;
        public SimpleAnimation()
        {
            InitializeComponent();
            CompositionTarget.Rendering += new EventHandler(CompositionTarget_Rendering);
        }

                
        void CompositionTarget_Rendering(object sender, EventArgs e)
        {
            if (isAnimated)
            {
                translate.X += speedAndDirX;
                translate.Y += speedAndDirY;
            }
        }

        private void button2_Click(object sender, RoutedEventArgs e)
        {
            isAnimated = false;
            translate.X = 0;
            translate.Y = 0;
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            Random r = new Random();
            speedAndDirX = r.Next(5) - r.Next(5);
            speedAndDirY = r.Next(5) - r.Next(5);
            isAnimated = true;
        }
    }
}